sccslog(1)

NAME
sccslog - create a changelog from SCCS history files

SYNOPSIS
sccslog [ options ] file1 .. filen

DESCRIPTION
Sccslog creates a Changelog file from SCCS history files.

If a file argument refers to a directory, the directory is scanned for file names that start with ``s.'' and examines all these files.

OPTIONS

-Cdir
    Use dir as base directory for printed file names in the output. This option is used by sccs -R to tell sccslog to print filenames that are suitable for complete project changelog files.

-p subdir
    Tell sccslog to use subdir when dealing with file names.

-help
    Prints a short summary of the sccslog options and exists.

-version
    Prints the sccslog version number string and exists.

EXAMPLES

To creates a changelog for all SCCS history files in directory SCCS call:

    sccslog SCCS/s.*

ENVIRONMENT
None.

FILES

$HOME/.sccs/usermap
    This file contains a map list from user names to user descriptions. It consists of a list of lines (each for one user) that start with a user name, followed by white space and a user description. It may e.g. look like:

    joerg   Joerg Schilling <schily@somewhere.com>
    ronnie  Ronnie Nowhere <ronnie@nowhere.com>

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1) sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), what(1), sccsfile(4).

DIAGNOSTICS

NOTES

BUGS

AUTHOR